Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Interface CheckstyleReports

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.reporting.ReportContainer
          org.gradle.api.NamedDomainObjectSet
              org.gradle.util.Configurable
                  java.lang.Iterable
                      org.gradle.api.DomainObjectCollection
                          java.util.Collection
                              org.gradle.api.plugins.quality.CheckstyleReports

All Superinterfaces:
  NamedDomainObjectCollection, ReportContainer, NamedDomainObjectSet, Configurable, Iterable, DomainObjectCollection, Collection

    public interface CheckstyleReports
    extends ReportContainer

The reporting configuration for the the Checkstyle test.

Method Summary
`SingleFileReport` | `getXml()` The checkstyle xml report

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getXml

    public SingleFileReport getXml()

  The checkstyle xml report
  Returns:
    The checkstyle xml report

Gradle API 1.1-rc-1